> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/release-notes/jp/enterprise/keeper-secrets-manager/2026/servicenow-credential-resolver-1.0.0.md).

# ServiceNow Credential Resolver 1.0.0

ServiceNow MID Server向けのKeeper外部認証情報リゾルバーがバージョン1.0.0となり、Yokohama以降のリリースに対応しました。また、他社ベンダーのCredential Resolverとの共存が可能になりました。

### 改善 <a href="#improvements" id="improvements"></a>

**KSM-1093:** Yokohama (Patch 7以降) およびそれ以降のリリース向けに、FQCNリゾルバークラス `com.keepersecurity.secretsManager.CredentialResolver` を追加。同一のMID Server上でKeeper JARを他社ベンダーのCredential Resolver (CyberArk、HashiCorp、Delineaなど) と共存できます。各リリースには以下の2種類のJARが含まれます。

* `fqcn`: Yokohama (Patch 7以降)、Zurich、Australia向け。Yokohama 1.0.0でFQCNが動作しない場合は、フォールバックとして [v0.1.0](https://github.com/Keeper-Security/secrets-manager/releases/tag/servicenow-integration-v0.1.0) をご利用ください。
* `legacy`: Utah、Vancouver、Washington DC、Xanadu向け\
  (共通の `com.snc.discovery.CredentialResolver` クラスを使用)。
* **KSM-610, KSM-1093:** Yokohama (Patch 7以降)、Zurich、AustraliaのMID Server対応を追加。サポート終了 (EOL) となったRome、San Diego、Tokyoへの対応を終了。
* **KSM-1093:** PAMレコードが同じシークレットマネージャーアプリケーションに共有されている場合に、`Serializer for subclass 'pamSettings' is not found` エラーによりCredential Resolverが失敗する不具合を修正。同梱のKSM SDKを17.3.0に固定し、解析できないレコードはスキップして処理全体が失敗しないよう改善しました。
* **KSM-1104:** 認証情報フィールドの改善。
  * `agent.log` に実用的な診断メッセージを追加し、 `mid_` プレフィックスの誤記の可能性や、認識済みフィールド名に一致するプレフィックスなしラベルを警告するようになりました。
  * `pamUser` レコードで、標準のLoginフィールドやPasswordフィールドからユーザー名とパスワードを解決するようになりました。
  * `ksm_config` が未設定の場合、`config()` が `NullPointerException` を発生させる代わりに、対処方法が分かるエラーメッセージを出力するようになりました。

### リソース <a href="#resources" id="resources"></a>

* [ServiceNow Credential Resolverに関するドキュメント](/keeperpam/jp/secrets-manager/integrations/servicenow.md)
* [GitHubリリース](https://github.com/Keeper-Security/secrets-manager/releases/tag/servicenow-integration-v1.0.0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/release-notes/jp/enterprise/keeper-secrets-manager/2026/servicenow-credential-resolver-1.0.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
